Error installing php-gtk

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Error installing php-gtk

Suporte Dsgx
OS -> Freebsd 6.3
----

i installed the .so itself following the tutorial at
http://gtk.php.net/manual/en/tutorials.installation.linux.php
Of course following the adapts for freebsd itself and when i try to load
the .so at php 5.2.6
gives me
# php -m
PHP Warning:  PHP Startup: Unable to load dynamic library
'.//root/php-gtk-2.0.1/modules/php_gtk2.so' - Cannot open
".//root/php-gtk-2.0.1/modules/php_gtk2.so" in Unknown on line 0
--
I already tried to put only php_gtk2.so or /usr/local/lib/php/..... and
gives me the same error any clue's would be appreciate it

--
PHP-GTK General Mailing List (http://gtk.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php

Reply | Threaded
Open this post in threaded view
|

Error installing php-gtk

bob majdak jr
---------- Forwarded message ----------
From: Bob Majdak Jr <[hidden email]>
Date: Tue, Feb 17, 2009 at 2:27 PM
Subject: Re: [PHP-GTK] Error installing php-gtk
To: "[hidden email]" <[hidden email]>


".//root/php-gtk-2.0.1/modules/php_gtk2.so" horrible filepath. there
is nothing freebsdish about that.

bob@gir:~$ php -i | grep extension_dir

if this command does not tell you something like
"/usr/local/lib/php/20071006" something is either really wrong/messed
up  with your core php installation. perhaps compiled it yourself
without ports standards?

http://oops.opsat.net/doc/gtk/compile-from-source.html << this has
very specific instructions for freebsd 6.x

- bob


On Thu, Feb 12, 2009 at 4:38 PM, [hidden email] <[hidden email]> wrote:

> OS -> Freebsd 6.3
> ----
>
> i installed the .so itself following the tutorial at
> http://gtk.php.net/manual/en/tutorials.installation.linux.php
> Of course following the adapts for freebsd itself and when i try to load the
> .so at php 5.2.6
> gives me
> # php -m
> PHP Warning:  PHP Startup: Unable to load dynamic library
> './/root/php-gtk-2.0.1/modules/php_gtk2.so' - Cannot open
> ".//root/php-gtk-2.0.1/modules/php_gtk2.so" in Unknown on line 0
> --
> I already tried to put only php_gtk2.so or /usr/local/lib/php/..... and
> gives me the same error any clue's would be appreciate it
>
> --
> PHP-GTK General Mailing List (http://gtk.php.net/)
> To unsubscribe, visit: http://www.php.net/unsub.php
>
>

--
PHP-GTK General Mailing List (http://gtk.php.net/)
To unsubscribe, visit: http://www.php.net/unsub.php